6.0.0-git
2019-03-24

[#6248] Some preference groups don't work
Summary Some preference groups don't work
Queue DIMP
Queue Version HEAD
Type Bug
State Resolved
Priority 2. Medium
Owners Horde Developers (at) , slusarz (at) horde (dot) org
Requester btj (at) havleik (dot) no
Created 2008-02-12 (4058 days ago)
Due
Updated 2008-04-16 (3994 days ago)
Assigned 2008-02-12 (4058 days ago)
Resolved 2008-04-16 (3994 days ago)
Milestone 1
Patch No

History
2008-04-16 23:59:28 Michael Slusarz Comment #5
State ⇒ Resolved
Reply to this comment
2008-04-16 19:58:54 Chuck Hagenbuch Comment #4 Reply to this comment
How about using CSS to hide the menubar in that specific iframe?
2008-04-15 06:36:56 Michael Slusarz Comment #3 Reply to this comment
On further poking around - I don't believe the way we currently handle 
prefs can be reconciled with DIMP.  First, any javascript needed for 
prefs pages interferes with DIMP's base js (we are showing options in 
a div, not an iframe).  Second, we can't catch links *within* a prefs 
page because those links might point to a page not handled by Prefs_UI 
(i.e. the stationery setup page).



I think our only choice at this time is to simply put the prefs in an 
iframe and rework Prefs_UI stuff for Horde 5.  Although any 
suggestions on how to remove the menubar in these pages would be 
appreciated.
2008-04-07 07:54:11 Michael Slusarz Comment #2
Assigned to Michael Slusarz
Reply to this comment
On our way to fixing - see 
http://lists.horde.org/archives/cvs/Week-of-Mon-20080407/077168.html

Still TODO:

   Make sure all app-defined prefs handlers honor the 'chunk' setting

   Make sure all return to options buttons have a 'prefs_return' DOM ID

   Test to make sure these handlers don't muck with DIMP in undesired 
ways (for example, the "Remote Servers" group in Horde currently 
breaks DIMP
2008-03-06 10:36:35 Jan Schneider Milestone ⇒ 1
 
2008-02-12 10:39:10 Jan Schneider Assigned to Horde DevelopersHorde Developers
Summary ⇒ Some preference groups don't work
 
2008-02-12 10:38:47 Jan Schneider Version ⇒ HEAD
Queue ⇒ DIMP
State ⇒ Assigned
 
2008-02-12 08:06:33 btj (at) havleik (dot) no Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ Remote Servers or SyncMl doesn't work in dynamic mode
Queue ⇒ Horde Groupware Webmail Edition
Reply to this comment
When pressing buttons for either Remote Servers og SyncML in dynamic 
mode, nothing happens. Both work as they should in Traditional mode...

Saved Queries